package eta_trial

import (
	"hongze/hz_crm_eta/global"
	"time"
)

type ManualUserClassify struct {
	ManualUserClassifyId int       `gorm:"primaryKey;column:manual_user_classify_id;type:int(11);not null" json:"manual_user_classify_id"`
	AdminId              int       `gorm:"uniqueIndex:idx_sysuser_class;column:admin_id;type:int(11);default:0" json:"admin_id"`
	ClassifyId           int       `gorm:"uniqueIndex:idx_sysuser_class;column:classify_id;type:int(11)" json:"classify_id"`
	CreateTime           time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`
}

func (m *ManualUserClassify) TableName() string {
	return "manual_user_classify"
}

func (m *ManualUserClassify) Create() (err error) {
	err = global.MYSQL["hz_data_trial"].Create(m).Error
	return
}

func (m *ManualUserClassify) BatchCreate(items []*ManualUserClassify) (err error) {
	err = global.MYSQL["hz_data_trial"].CreateInBatches(items, len(items)).Error
	return
}
