package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hz_crm_eta/controller/crm"
)

func InitChartPermission(r *gin.RouterGroup) {
	control := new(crm.ChartPermissionController)
	group := r.Group("crm/chart_permission")
	group.POST("sync", control.Sync)
	group.POST("classify/sync", control.SyncClassifyChartPermission)
	group.POST("report/sync", control.SyncReportMapping)
	group.POST("keyword/sync", control.SyncKeywordMapping)
}
