package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hz_crm_eta/controller/crm"
	"hongze/hz_crm_eta/controller/eta"
)

func InitReportChapterType(r *gin.RouterGroup) {
	control := new(crm.ReportChapterTypeController)
	group := r.Group("crm/chapter_type")
	group.POST("sync", control.Sync)

	controlEta := new(eta.ReportChapterTypeController)
	groupEta := r.Group("eta/chapter_type")
	groupEta.POST("yb/sync", controlEta.YbSync)
	groupEta.POST("rule/sync", controlEta.RuleSync)
}
