package routers

import (
	"github.com/gin-gonic/gin"
	eta2 "hongze/hz_crm_eta/controller/eta"
)

func InitReportClassify(r *gin.RouterGroup) {
	control := new(eta2.ClassifyController)
	group := r.Group("eta/classify")
	group.POST("list", control.ListClassify)
	group.POST("edit", control.Edit)
	group.POST("enabled/set", control.SetEnabled)
}
